PipeWire 1.2.6

Loading...
Searching...
No Matches
Data Fields
spa_buffer Struct Reference
SPA » Buffers

A Buffer. More...

`#include <spa/buffer/buffer.h>`

## Data Fields
uint32_t | n_metas
| number of metadata
uint32_t | n_datas
| number of data members
struct spa_meta * | metas
| array of metadata
struct spa_data * | datas
| array of data members

## Detailed Description

A Buffer.

Examples
  audio-capture.c, audio-src.c, export-sink.c, export-source.c, local-v4l2.c, spa/examples/adapter-control.c, spa/examples/example-control.c, spa/examples/local-libcamera.c, spa/examples/local-v4l2.c, tutorial4.c, tutorial5.c, video-dsp-play.c, video-dsp-src.c, video-play-fixate.c, video-play-pull.c, video-play-reneg.c, video-play.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## Field Documentation

## ◆ n_metas

uint32_t spa_buffer::n_metas

number of metadata

## ◆ n_datas

uint32_t spa_buffer::n_datas

number of data members

Examples
  midi-src.c.

## ◆ metas

struct spa_meta* spa_buffer::metas

array of metadata

## ◆ datas

struct spa_data* spa_buffer::datas

array of data members

Examples
  audio-capture.c, audio-src.c, export-sink.c, export-source.c, midi-src.c, tutorial4.c, tutorial5.c, video-dsp-play.c, video-dsp-src.c, video-play-fixate.c, video-play-pull.c, video-play-reneg.c, video-play.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

The documentation for this struct was generated from the following file:

- spa/buffer/buffer.h